Skip to content
View in Postman (opens in new tab)

Export campaign analytics

get

/campaigns/data_series

Use this endpoint to retrieve a daily series of various stats for a campaign over time.

Data returned includes how many messages were sent, opened, clicked, or converted by messaging channel.

Troubleshooting

Viewing delivery failures for API-triggered campaigns

The /campaigns/data_series endpoint returns aggregated daily stats (for example, delivery_failed for SMS or errors for webhooks). It does not return per-recipient failure reasons.

For per-message send failures, bounces, and aborts from API-triggered or API campaigns, use the Message Activity Log in the dashboard. For custom reports on send and delivery events, use Query Builder with query templates or custom SQL. You can also stream failure events through Currents or Snowflake Data Sharing if your workspace has those products enabled.

You can download the OpenAPI document and use it to validate schemas. To learn how, see Use OpenAPI schemas for request validation.

New Stuff!